## org.codehaus.groovy.ast.expr
Class MethodPointerExpression

Represents a method pointer on an object such as foo.&bar which means find the method pointer on foo for the method called "bar" which is equivalent to `foo.metaClass.getMethodPointer(foo, "bar")`

version:
  $Revision: 6778 $

Field Summary
`Expression` | `expression`
`Expression` | `methodName`

Constructor Summary
`MethodPointerExpression(Expression expression, Expression methodName)`

Method Summary
`Expression` | `getExpression()`
`Expression` | `getMethodName()`
`String` | `getText()`
`ClassNode` | `getType()`
`Class` | `getTypeClass()`
`boolean` | `isDynamic()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### MethodPointerExpression

    public MethodPointerExpression(Expression expression, Expression methodName)

Method Detail

### getExpression

    public Expression getExpression()

### getMethodName

    public Expression getMethodName()

### getText

    public String getText()

### getType

    public ClassNode getType()

### getTypeClass

    public Class getTypeClass()

### isDynamic

    public boolean isDynamic()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)